--enable-no_exceptions create code without C++ exceptions handling
--enable-permissive compile code disregarding strict ANSI
--enable-no_deps create code without dependency information
- --enable-universal_binary create Mac PowerPC and Intel Universal binary (not yet working)
+ --enable-universal_binary[=SDK] create Mac PowerPC and Intel Universal binary (not yet working)
--enable-compat24 enable wxWidgets 2.4 compatibility
--disable-compat26 disable wxWidgets 2.6 compatibility
--disable-rpath disable use of rpath for uninstalled builds
fi
- enablestring=
+ enablestring=
echo "$as_me:$LINENO: checking for --${enablestring:-enable}-universal_binary" >&5
echo $ECHO_N "checking for --${enablestring:-enable}-universal_binary... $ECHO_C" >&6
no_cache=0
if test "${enable_universal_binary+set}" = set; then
enableval="$enable_universal_binary"
- if test "$enableval" = yes; then
- ac_cv_use_universal_binary='wxUSE_UNIVERSAL_BINARY=yes'
- else
- ac_cv_use_universal_binary='wxUSE_UNIVERSAL_BINARY=no'
- fi
+ wx_cv_use_universal_binary="wxUSE_UNIVERSAL_BINARY='$enableval'"
else
LINE=`grep "wxUSE_UNIVERSAL_BINARY" ${wx_arg_cache_file}`
if test "x$LINE" != x ; then
eval "DEFAULT_$LINE"
+ wx_cv_use_universal_binary='wxUSE_UNIVERSAL_BINARY='$DEFAULT_wxUSE_UNIVERSAL_BINARY
else
no_cache=1
+ wx_cv_use_universal_binary="wxUSE_UNIVERSAL_BINARY=no"
fi
- ac_cv_use_universal_binary='wxUSE_UNIVERSAL_BINARY='$DEFAULT_wxUSE_UNIVERSAL_BINARY
-
fi;
- eval "$ac_cv_use_universal_binary"
+ eval "$wx_cv_use_universal_binary"
if test "$no_cache" != 1; then
- echo $ac_cv_use_universal_binary >> ${wx_arg_cache_file}.tmp
+ echo $wx_cv_use_universal_binary >> ${wx_arg_cache_file}.tmp
fi
- if test "$wxUSE_UNIVERSAL_BINARY" = yes; then
- echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
- else
- echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
- fi
+ echo "$as_me:$LINENO: result: $wxUSE_UNIVERSAL_BINARY" >&5
+echo "${ECHO_T}$wxUSE_UNIVERSAL_BINARY" >&6
;;
esac
+if test "$USE_UNIX" = 1 ; then
+
+for ac_header in sys/select.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+else
+ # Is the header compilable?
+echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+ ac_header_compiler=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+#include <$ac_header>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+ (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } >/dev/null; then
+ if test -s conftest.err; then
+ ac_cpp_err=$ac_cxx_preproc_warn_flag
+ ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
+ else
+ ac_cpp_err=
+ fi
+else
+ ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+ ac_header_preproc=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So? What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
+ yes:no: )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+ ac_header_preproc=yes
+ ;;
+ no:yes:* )
+ { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+ { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+ (
+ cat <<\_ASBOX
+## ----------------------------------------- ##
+## Report this to wx-dev@lists.wxwidgets.org ##
+## ----------------------------------------- ##
+_ASBOX
+ ) |
+ sed "s/^/$as_me: WARNING: /" >&2
+ ;;
+esac
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ eval "$as_ac_Header=\$ac_header_preproc"
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+fi
+
echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5
echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
-#include <X11/Xlib.h>
+#include <X11/Intrinsic.h>
_ACEOF
if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
(eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
sed 's/^/| /' conftest.$ac_ext >&5
for ac_dir in $ac_x_header_dirs; do
- if test -r "$ac_dir/X11/Xlib.h"; then
+ if test -r "$ac_dir/X11/Intrinsic.h"; then
ac_x_includes=$ac_dir
break
fi
# See if we find them without any special options.
# Don't add to $LIBS permanently.
ac_save_LIBS=$LIBS
- LIBS="-lX11 $LIBS"
+ LIBS="-lXt $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
-#include <X11/Xlib.h>
+#include <X11/Intrinsic.h>
int
main ()
{
-XrmInitialize ()
+XtMalloc (0)
;
return 0;
}
do
# Don't even attempt the hair of trying to link an X program!
for ac_extension in a so sl; do
- if test -r $ac_dir/libX11.$ac_extension; then
+ if test -r $ac_dir/libXt.$ac_extension; then
ac_x_libraries=$ac_dir
break 2
fi
else
+################################################################
ac_cv_func_which_gethostbyname_r=unknown
fi
+################################################################
fi
fi
if test "$USE_UNIX" = "1" ; then
- echo "$as_me:$LINENO: checking for ioctl() in sys/soundcard.h" >&5
-echo $ECHO_N "checking for ioctl() in sys/soundcard.h... $ECHO_C" >&6
+ echo "$as_me:$LINENO: checking for SNDCTL_DSP_SPEED in sys/soundcard.h" >&5
+echo $ECHO_N "checking for SNDCTL_DSP_SPEED in sys/soundcard.h... $ECHO_C" >&6
if test "${ac_cv_header_sys_soundcard+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
+ #include <sys/ioctl.h>
#include <sys/soundcard.h>
int
main ()
{
- ioctl(0, SNDCTL_DSP_SYNC, 0);
+ ioctl(0, SNDCTL_DSP_SPEED, 0);
;
return 0;
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
+ #include <sys/ioctl.h>
#include <sys/soundcard.h>
int
main ()
{
- ioctl(0, SNDCTL_DSP_SYNC, 0);
+ ioctl(0, SNDCTL_DSP_SPEED, 0);
;
return 0;
USE_MEDIA=0
if test "$wxUSE_MEDIACTRL" = "yes"; then
+ USE_MEDIA=1
+
if test "$wxUSE_GTK" = 1; then
wxUSE_GSTREAMER="no"
GST_VERSION_MAJOR=0
GST_VERSION_MINOR=10
- GST_VERSION_RELEASE=0
- GSTREAMER_REQ=$GST_VERSION_MAJOR.$GST_VERSION_MINOR.$GST_VERSION_RELEASE
- GST_MAJORMINOR=$GST_VERSION_MAJOR.$GST_VERSION_MINOR
+ GST_VERSION=$GST_VERSION_MAJOR.$GST_VERSION_MINOR
if test "$wxUSE_GSTREAMER8" = "no"; then
else
PKG_CONFIG_MIN_VERSION=0.9.0
if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
- echo "$as_me:$LINENO: checking for gstreamer-$GST_MAJORMINOR
- gstreamer-plugins-base-$GST_MAJORMINOR
- gconf-2.0" >&5
-echo $ECHO_N "checking for gstreamer-$GST_MAJORMINOR
- gstreamer-plugins-base-$GST_MAJORMINOR
- gconf-2.0... $ECHO_C" >&6
-
- if $PKG_CONFIG --exists "gstreamer-$GST_MAJORMINOR
- gstreamer-plugins-base-$GST_MAJORMINOR
- gconf-2.0" ; then
+ echo "$as_me:$LINENO: checking for gstreamer-$GST_VERSION gstreamer-plugins-base-$GST_VERSION gconf-2.0" >&5
+echo $ECHO_N "checking for gstreamer-$GST_VERSION gstreamer-plugins-base-$GST_VERSION gconf-2.0... $ECHO_C" >&6
+
+ if $PKG_CONFIG --exists "gstreamer-$GST_VERSION gstreamer-plugins-base-$GST_VERSION gconf-2.0" ; then
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
succeeded=yes
echo "$as_me:$LINENO: checking GST_CFLAGS" >&5
echo $ECHO_N "checking GST_CFLAGS... $ECHO_C" >&6
- GST_CFLAGS=`$PKG_CONFIG --cflags "gstreamer-$GST_MAJORMINOR
- gstreamer-plugins-base-$GST_MAJORMINOR
- gconf-2.0"`
+ GST_CFLAGS=`$PKG_CONFIG --cflags "gstreamer-$GST_VERSION gstreamer-plugins-base-$GST_VERSION gconf-2.0"`
echo "$as_me:$LINENO: result: $GST_CFLAGS" >&5
echo "${ECHO_T}$GST_CFLAGS" >&6
echo "$as_me:$LINENO: checking GST_LIBS" >&5
echo $ECHO_N "checking GST_LIBS... $ECHO_C" >&6
- GST_LIBS=`$PKG_CONFIG --libs "gstreamer-$GST_MAJORMINOR
- gstreamer-plugins-base-$GST_MAJORMINOR
- gconf-2.0"`
+ GST_LIBS=`$PKG_CONFIG --libs "gstreamer-$GST_VERSION gstreamer-plugins-base-$GST_VERSION gconf-2.0"`
echo "$as_me:$LINENO: result: $GST_LIBS" >&5
echo "${ECHO_T}$GST_LIBS" >&6
else
GST_LIBS=""
## If we have a custom action on failure, don't print errors, but
## do set a variable so people can do so.
- GST_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "gstreamer-$GST_MAJORMINOR
- gstreamer-plugins-base-$GST_MAJORMINOR
- gconf-2.0"`
+ GST_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "gstreamer-$GST_VERSION gstreamer-plugins-base-$GST_VERSION gconf-2.0"`
fi
if test $succeeded = yes; then
- wxUSE_GSTREAMER="yes"
- GST_LIBS="$GST_LIBS -lgstinterfaces-$GST_MAJORMINOR"
+ wxUSE_GSTREAMER="yes"
+ GST_LIBS="$GST_LIBS -lgstinterfaces-$GST_VERSION"
else
+ { echo "$as_me:$LINENO: WARNING: GStreamer 0.10 not available, falling back to 0.8" >&5
+echo "$as_me: WARNING: GStreamer 0.10 not available, falling back to 0.8" >&2;}
GST_VERSION_MINOR=8
+
fi
- else
- GST_VERSION_MINOR=8
+ else
+ GST_VERSION_MINOR=8
fi
- GSTREAMER_REQ=$GST_VERSION_MAJOR.$GST_VERSION_MINOR.$GST_VERSION_RELEASE
- GST_MAJORMINOR=$GST_VERSION_MAJOR.$GST_VERSION_MINOR
-
- if test x$GST_VERSION_MINOR = x8; then
+ if test $GST_VERSION_MINOR = "8"; then
+ GST_VERSION=$GST_VERSION_MAJOR.$GST_VERSION_MINOR
succeeded=no
else
PKG_CONFIG_MIN_VERSION=0.9.0
if $PKG_CONFIG --atleast-pkgconfig-version $PKG_CONFIG_MIN_VERSION; then
- echo "$as_me:$LINENO: checking for gstreamer-$GST_MAJORMINOR
- gstreamer-interfaces-$GST_MAJORMINOR
- gstreamer-gconf-$GST_MAJORMINOR" >&5
-echo $ECHO_N "checking for gstreamer-$GST_MAJORMINOR
- gstreamer-interfaces-$GST_MAJORMINOR
- gstreamer-gconf-$GST_MAJORMINOR... $ECHO_C" >&6
-
- if $PKG_CONFIG --exists "gstreamer-$GST_MAJORMINOR
- gstreamer-interfaces-$GST_MAJORMINOR
- gstreamer-gconf-$GST_MAJORMINOR" ; then
+ echo "$as_me:$LINENO: checking for gstreamer-$GST_VERSION gstreamer-interfaces-$GST_VERSION gstreamer-gconf-$GST_VERSION" >&5
+echo $ECHO_N "checking for gstreamer-$GST_VERSION gstreamer-interfaces-$GST_VERSION gstreamer-gconf-$GST_VERSION... $ECHO_C" >&6
+
+ if $PKG_CONFIG --exists "gstreamer-$GST_VERSION gstreamer-interfaces-$GST_VERSION gstreamer-gconf-$GST_VERSION" ; then
echo "$as_me:$LINENO: result: yes" >&5
echo "${ECHO_T}yes" >&6
succeeded=yes
echo "$as_me:$LINENO: checking GST_CFLAGS" >&5
echo $ECHO_N "checking GST_CFLAGS... $ECHO_C" >&6
- GST_CFLAGS=`$PKG_CONFIG --cflags "gstreamer-$GST_MAJORMINOR
- gstreamer-interfaces-$GST_MAJORMINOR
- gstreamer-gconf-$GST_MAJORMINOR"`
+ GST_CFLAGS=`$PKG_CONFIG --cflags "gstreamer-$GST_VERSION gstreamer-interfaces-$GST_VERSION gstreamer-gconf-$GST_VERSION"`
echo "$as_me:$LINENO: result: $GST_CFLAGS" >&5
echo "${ECHO_T}$GST_CFLAGS" >&6
echo "$as_me:$LINENO: checking GST_LIBS" >&5
echo $ECHO_N "checking GST_LIBS... $ECHO_C" >&6
- GST_LIBS=`$PKG_CONFIG --libs "gstreamer-$GST_MAJORMINOR
- gstreamer-interfaces-$GST_MAJORMINOR
- gstreamer-gconf-$GST_MAJORMINOR"`
+ GST_LIBS=`$PKG_CONFIG --libs "gstreamer-$GST_VERSION gstreamer-interfaces-$GST_VERSION gstreamer-gconf-$GST_VERSION"`
echo "$as_me:$LINENO: result: $GST_LIBS" >&5
echo "${ECHO_T}$GST_LIBS" >&6
else
GST_LIBS=""
## If we have a custom action on failure, don't print errors, but
## do set a variable so people can do so.
- GST_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "gstreamer-$GST_MAJORMINOR
- gstreamer-interfaces-$GST_MAJORMINOR
- gstreamer-gconf-$GST_MAJORMINOR"`
+ GST_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "gstreamer-$GST_VERSION gstreamer-interfaces-$GST_VERSION gstreamer-gconf-$GST_VERSION"`
fi
fi
if test $succeeded = yes; then
-
- wxUSE_GSTREAMER="yes"
-
+ wxUSE_GSTREAMER="yes"
else
- { echo "$as_me:$LINENO: WARNING: Proper GStreamer .8/.10 installation not found" >&5
-echo "$as_me: WARNING: Proper GStreamer .8/.10 installation not found" >&2;}
+ { echo "$as_me:$LINENO: WARNING: GStreamer 0.8/0.10 not available." >&5
+echo "$as_me: WARNING: GStreamer 0.8/0.10 not available." >&2;}
fi
#define wxUSE_GSTREAMER 1
_ACEOF
- echo "$as_me:$LINENO: result: GStreamer detection successful" >&5
-echo "${ECHO_T}GStreamer detection successful" >&6
+ else
+ USE_MEDIA=0
fi
fi
- USE_MEDIA=1
- SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS mediaplayer"
- cat >>confdefs.h <<\_ACEOF
+
+ if test $USE_MEDIA = 1; then
+ SAMPLES_SUBDIRS="$SAMPLES_SUBDIRS mediaplayer"
+ cat >>confdefs.h <<\_ACEOF
#define wxUSE_MEDIACTRL 1
_ACEOF
+ fi
fi
fi
if test "$wxUSE_MAC" = 1 ; then
- if test "$wxUSE_UNIVERSAL_BINARY" = "yes" ; then
- CXXFLAGS="-isysroot /Developer/SDKs/MacOSX10.4u.sdk -arch ppc -arch i386 $CXXFLAGS"
- CFLAGS="-isysroot /Developer/SDKs/MacOSX10.4u.sdk -arch ppc -arch i386 $CFLAGS"
- LDFLAGS="-isysroot /Developer/SDKs/MacOSX10.4u.sdk -arch ppc -arch i386 $LDFLAGS"
+ if test "x$wxUSE_UNIVERSAL_BINARY" != xno ; then
+ if test "x$wxUSE_UNIVERSAL_BINARY" == xyes; then
+ OSX_UNIV_OPTS="-isysroot /Developer/SDKs/MacOSX10.4u.sdk"
+ else
+ OSX_UNIV_OPTS=${wxUSE_UNIVERSAL_BINARY:+"-isysroot '$wxUSE_UNIVERSAL_BINARY'"}
+ fi
+ OSX_UNIV_OPTS="$OSX_UNIV_OPTS -arch ppc -arch i386"
+ CXXFLAGS="$OSX_UNIV_OPTS $CXXFLAGS"
+ CFLAGS="$OSX_UNIV_OPTS $CFLAGS"
+ LDFLAGS="$OSX_UNIV_OPTS $LDFLAGS"
bk_use_pch=no
fi
# TODO: where do we add "-syslibroot,/Developer/SDKs/MacOSX10.4u.sdk" for libtool (static builds only)?
# The makefile currently uses AR and RANLIB, which libtool apparently supercedes.
- # TODO: how can we avoid a hardwired reference to the SDK, above? (Someone used -lSystemStubs to avoid it)
fi
if test "$wxUSE_MAC" = 1 ; then
- if test "$wxUSE_UNIVERSAL_BINARY" = "yes" ; then
+ if test "x$wxUSE_UNIVERSAL_BINARY" != "xno" ; then
sed "s/DEPSMODE=gcc/DEPSMODE=none/" < bk-deps > temp
mv temp bk-deps
chmod +x bk-deps